juzu

## Enum Method

- java.lang.Object
- - java.lang.Enum<Method>
  - - juzu.Method

- All Implemented Interfaces:
    Serializable, Comparable<Method>

      public enum Method
      extends Enum<Method>

  Http methods.
  Author:
    Julien Viet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECT`
    `DELETE`
    `GET`
    `HEAD`
    `OPTIONS`
    `POST`
    `PUT`
    `TRACE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final Method GET

    - #### HEAD

          public static final Method HEAD

    - #### POST

          public static final Method POST

    - #### PUT

          public static final Method PUT

    - #### DELETE

          public static final Method DELETE

    - #### TRACE

          public static final Method TRACE

    - #### OPTIONS

          public static final Method OPTIONS

    - #### CONNECT

          public static final Method CONNECT

  - ### Method Detail

    - #### values

          public static Method[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Method c : Method.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Method valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 eXo Platform SAS. All Rights Reserved.